Index: include/curses.h.in
--- include/curses.h.in.orig	2012-05-29 10:39:26.000000000 +0200
+++ include/curses.h.in	2012-05-29 10:39:27.000000000 +0200
@@ -63,7 +63,11 @@
  * User-definable tweak to disable the include of <stdbool.h>.
  */
 #ifndef NCURSES_ENABLE_STDBOOL_H
-#define NCURSES_ENABLE_STDBOOL_H @cf_cv_header_stdbool_h@
+#if defined(__STDC__) && (__STDC_VERSION__ >= 199901L) && !defined(__osf__)
+#define NCURSES_ENABLE_STDBOOL_H 1
+#else
+#define NCURSES_ENABLE_STDBOOL_H 0
+#endif
 #endif
 
 /*
Index: ncurses/Makefile.in
--- ncurses/Makefile.in.orig	2012-05-29 10:39:27.000000000 +0200
+++ ncurses/Makefile.in	2012-05-29 10:40:19.000000000 +0200
@@ -176,7 +176,7 @@
 	$(INCDIR)/nc_mingw.h
 
 TEST_DEPS	= ../lib/@LIB_PREFIX@ncurses@DFT_DEP_SUFFIX@
-TEST_ARGS	= @LDFLAGS_STATIC@ @TEST_ARGS@ @LDFLAGS_SHARED@ 
+TEST_ARGS	= @TEST_ARGS@ @LDFLAGS_SHARED@ 
 TEST_LDFLAGS	= @LD_MODEL@ $(TEST_ARGS) @LIBS@ @LOCAL_LDFLAGS@ @LDFLAGS@
 
 TEST_PROGS = \
@@ -292,7 +292,8 @@
 	@ECHO_LD@ $(LIBTOOL_LINK) -o $@ $(CFLAGS_DEFAULT) -DHASHDEBUG $(serial)/hashmap.c $(serial)/hardscroll.c $(TEST_LDFLAGS)
 
 lib_mvcur$x : $(serial)/lib_mvcur.c $(TEST_DEPS) \
-		../@DFT_OBJ_SUBDIR@/dump_entry$o
+		../@DFT_OBJ_SUBDIR@/dump_entry$o \
+		../@DFT_OBJ_SUBDIR@/comp_parse$o
 	@ECHO_LD@ $(LIBTOOL_LINK) -o $@ $(CFLAGS_DEFAULT) -DNCURSES_TEST -I$(serial)/../../progs $(serial)/lib_mvcur.c ../@DFT_OBJ_SUBDIR@/dump_entry$o $(TEST_LDFLAGS)
 
 link_test$x : ./link_test.c $(TEST_DEPS) \
Index: ncurses/tinfo/comp_error.c
--- ncurses/tinfo/comp_error.c.orig	2012-05-29 10:39:26.000000000 +0200
+++ ncurses/tinfo/comp_error.c	2012-05-29 10:39:27.000000000 +0200
@@ -43,7 +43,7 @@
 
 MODULE_ID("$Id: comp_error.c,v 1.36 2012/02/22 22:34:31 tom Exp $")
 
-NCURSES_EXPORT_VAR(bool) _nc_suppress_warnings = FALSE;
+NCURSES_EXPORT_VAR(bool) _nc_suppress_warnings = TRUE;
 NCURSES_EXPORT_VAR(int) _nc_curr_line = 0; /* current line # in input */
 NCURSES_EXPORT_VAR(int) _nc_curr_col = 0; /* current column # in input */
 
Index: ncurses/tinfo/comp_parse.c
--- ncurses/tinfo/comp_parse.c.orig	2012-05-29 10:39:27.000000000 +0200
+++ ncurses/tinfo/comp_parse.c	2012-05-29 10:39:27.000000000 +0200
@@ -281,6 +281,7 @@
 
     DEBUG(2, ("RESOLUTION BEGINNING"));
 
+#if 0
     /*
      * Check for multiple occurrences of the same name.
      */
@@ -308,6 +309,7 @@
 	return (FALSE);
 
     DEBUG(2, ("NO MULTIPLE NAME OCCURRENCES"));
+#endif
 
     /*
      * First resolution stage: compute link pointers corresponding to names.
Index: progs/Makefile.in
--- progs/Makefile.in.orig	2012-05-29 10:39:27.000000000 +0200
+++ progs/Makefile.in	2012-05-29 10:39:27.000000000 +0200
@@ -114,10 +114,10 @@
 
 LDFLAGS_DEFAULT	= $(LDFLAGS_@DFT_UPR_MODEL@)
 
-LIBS_TIC	= @TINFO_LDFLAGS@ @LDFLAGS_STATIC@ @TICS_LIBS@ @TINFO_LIBS@ @LDFLAGS_SHARED@ @LD_MODEL@ @LIBS@
+LIBS_TIC	= @TINFO_LDFLAGS@ @TICS_LIBS@ @TINFO_LIBS@ @LDFLAGS_SHARED@ @LD_MODEL@ @LIBS@
 LDFLAGS_TIC	= @TICS_LDFLAGS@ $(LDFLAGS_@DFT_UPR_MODEL@) $(LIBS_TIC)
 
-LIBS_TINFO	= @LDFLAGS_STATIC@ @TINFO_LIBS@ @LDFLAGS_SHARED@ @LD_MODEL@ @LIBS@
+LIBS_TINFO	= @TINFO_LIBS@ @LDFLAGS_SHARED@ @LD_MODEL@ @LIBS@
 LDFLAGS_TINFO	= @TINFO_LDFLAGS@ $(LDFLAGS_@DFT_UPR_MODEL@) $(LIBS_TINFO)
 
 LINT		= @LINT@
@@ -228,6 +228,7 @@
 DEPS_TIC = \
 	$(MODEL)/tic$o \
 	$(MODEL)/dump_entry$o \
+	$(MODEL)/comp_parse$o \
 	$(MODEL)/transform$o
 
 tic$x: $(DEPS_TIC) $(DEPS_CURSES) transform.h
@@ -253,6 +254,7 @@
 
 DEPS_TPUT = \
 	$(MODEL)/tput$o \
+	$(MODEL)/lib_tparm$o \
 	$(MODEL)/transform$o
 
 tput$x: $(DEPS_TPUT) $(DEPS_CURSES) transform.h
@@ -260,7 +262,8 @@
 
 DEPS_INFOCMP = \
 	$(MODEL)/infocmp$o \
-	$(MODEL)/dump_entry$o
+	$(MODEL)/dump_entry$o \
+	$(MODEL)/comp_parse$o
 
 infocmp$x: $(DEPS_INFOCMP) $(DEPS_CURSES)
 	@ECHO_LD@ $(LINK) $(DEPS_INFOCMP) $(LDFLAGS_TIC) -o $@
Index: test/Makefile.in
--- test/Makefile.in.orig	2012-05-29 10:39:26.000000000 +0200
+++ test/Makefile.in	2012-05-29 10:39:27.000000000 +0200
@@ -102,7 +102,7 @@
 LDFLAGS_PROFILE	= $(LDFLAGS) $(CFLAGS_PROFILE)
 LDFLAGS_SHARED	= $(LDFLAGS) $(CFLAGS_SHARED) @LD_SHARED_OPTS@
 
-TEST_ARGS	= @LDFLAGS_STATIC@ @TEST_ARGS@ @LDFLAGS_SHARED@
+TEST_ARGS	= @TEST_ARGS@
 
 # use these for linking with all of the libraries
 LIBS_DEFAULT	= $(TEST_ARGS) @LIBS@ $(TEST_LIBS) $(MATH_LIB)
@@ -117,7 +117,7 @@
 LDFLAGS_CURSES	= $(LDFLAGS_@DFT_UPR_MODEL@) $(LIBS_CURSES)
 
 # use these for linking with the tinfo library if we have it, or curses library if not
-LIBS_TINFO	= @LDFLAGS_STATIC@ @TINFO_LIBS@ @LDFLAGS_SHARED@ @LIBS@ $(TEST_LIBS) $(MATH_LIB)
+LIBS_TINFO	= @TINFO_LIBS@ @LIBS@ $(TEST_LIBS) $(MATH_LIB)
 LDFLAGS_TINFO	= @TINFO_LDFLAGS@ $(LDFLAGS_@DFT_UPR_MODEL@) $(LIBS_TINFO)
 
 LINT		= @LINT@
Index: test/programs
--- test/programs.orig	2009-09-12 21:44:01.000000000 +0200
+++ test/programs	2012-05-29 10:39:27.000000000 +0200
@@ -38,7 +38,7 @@
 clip_printw	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	clip_printw
 color_set	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	color_set
 demo_altkeys	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	demo_altkeys
-demo_defkey	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	demo_defkey
+demo_defkey	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	demo_defkey key_defined
 demo_forms	$(LDFLAGS_DEFAULT)	$(LOCAL_LIBS)	demo_forms edit_field
 demo_keyok	$(LDFLAGS_CURSES)	$(LOCAL_LIBS)	demo_keyok
 demo_menus	$(LDFLAGS_DEFAULT)	$(LOCAL_LIBS)	demo_menus
